Install our app 🪄 click on the icon in the top right of the address bar.

Notification handlers

GET https://uptime.gtechgroup.it/api/notification-handlers/
curl --request GET \
--url 'https://uptime.gtechgroup.it/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parámetros Details Description
page Opcional Entero El número de página de la que quieres resultados. Por defecto es 1.
results_per_page Opcional Entero Cuántos resultados quieres por página. Los valores permitidos son: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Por defecto es 25.
{ "data": [ { "id": 1, "type": "email", "name": "Work email", "settings": { "email": "hey@example.com" }, "is_enabled": true, "last_datetime": null, "datetime": "2026-04-15 14:25:52", } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://uptime.gtechgroup.it/api/notification-handlers?page=1", "last": "https://uptime.gtechgroup.it/api/notification-handlers?page=1", "next": null, "prev": null, "self": "https://uptime.gtechgroup.it/api/notification-handlers?page=1" } }
GET https://uptime.gtechgroup.it/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://uptime.gtechgroup.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "type": "email", "name": "Work email", "settings": { "email": "hey@example.com" }, "is_enabled": true, "last_datetime": null, "datetime": "2026-04-15 14:25:52", } }
POST https://uptime.gtechgroup.it/api/notification-handlers
Parámetros Details Description
name Requerido Cadena de texto -
type Requerido Cadena de texto Valores permitidos: email , webhook , slack , discord , telegram , microsoft_teams , x , push_subscriber_id
email Opcional Cadena de texto Available when: type = email Email
webhook Opcional Cadena de texto Available when: type = webhook Webhook URL
slack Opcional Cadena de texto Available when: type = slack Slack webhook URL
discord Opcional Cadena de texto Available when: type = discord Discord webhook URL
telegram Opcional Cadena de texto Available when: type = telegram Telegram API Token
telegram_chat_id Opcional Cadena de texto Available when: type = telegram Telegram Chat ID
microsoft_teams Opcional Cadena de texto Available when: type = microsoft_teams Microsoft Teams webhook URL
x_consumer_key Opcional Cadena de texto Available when: type = x Telegram API Token
x_consumer_secret Opcional Cadena de texto Available when: type = x Telegram API Token
x_access_token Opcional Cadena de texto Available when: type = x Telegram API Token
x_access_token_secret Opcional Cadena de texto Available when: type = x Telegram API Token
push_subscriber_id Opcional Cadena de texto Available when: type = push_subscriber_id Push subscriber
curl --request POST \
--url 'https://uptime.gtechgroup.it/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{ "data": { "id": 1 } }
POST https://uptime.gtechgroup.it/api/notification-handlers/{notification_handler_id}
Parámetros Details Description
name Opcional Cadena de texto -
type Opcional Cadena de texto Valores permitidos: email , webhook , slack , discord , telegram , microsoft_teams , x , push_subscriber_id
email Opcional Cadena de texto Available when: type = email Email
webhook Opcional Cadena de texto Available when: type = webhook Webhook URL
slack Opcional Cadena de texto Available when: type = slack Slack webhook URL
discord Opcional Cadena de texto Available when: type = discord Discord webhook URL
telegram Opcional Cadena de texto Available when: type = telegram Telegram API Token
telegram_chat_id Opcional Cadena de texto Available when: type = telegram Telegram Chat ID
microsoft_teams Opcional Cadena de texto Available when: type = microsoft_teams Microsoft Teams webhook URL
x_consumer_key Opcional Cadena de texto Available when: type = x Telegram API Token
x_consumer_secret Opcional Cadena de texto Available when: type = x Telegram API Token
x_access_token Opcional Cadena de texto Available when: type = x Telegram API Token
x_access_token_secret Opcional Cadena de texto Available when: type = x Telegram API Token
push_subscriber_id Opcional Cadena de texto Available when: type = push_subscriber_id Push subscriber
is_enabled Opcional Booleano -
curl --request POST \
--url 'https://uptime.gtechgroup.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{ "data": { "id": 1 } }
DELETE https://uptime.gtechgroup.it/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://uptime.gtechgroup.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \